# Create securities transfer

Create securities transfer

Endpoint: POST /securities_transfers
Version: 1.97.0
Security: oauth-client-credentials

## Header parameters:

  - `upvest-client-id` (string, required)
    Tenant Client ID
    Example: "363f3305-7ab0-4e82-a158-f9d382ad08b6"

  - `Authorization` (string, required)
    Bearer (access) token from the OAuth flow with correct scopes.
https://datatracker.ietf.org/doc/html/rfc6750
    Example: "Bearer c2VjcmV0Cg=="

  - `signature` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-http-header

  - `signature-input` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-input-http-he

  - `idempotency-key` (string, required)
    A UUID to be used as an idempotency key.  This prevents a duplicate request from being replayed.
https://docs.upvest.co/documentation/concepts/api_concepts/idempotency
    Example: "ccb07f42-4104-44ad-8e1f-c660bb7b269c"

  - `upvest-api-version` (string)
    Upvest API version (Note: Do not include quotation marks)
    Enum: "1"

## Request fields (application/json):

  - `direction` (string, required)
    Direction of the securities transfer
* INCOMING - Securities transfer is incoming to the user.
* OUTGOING - Securities transfer is outgoing from the user.
    Enum: "INCOMING", "OUTGOING"

  - `user_id` (string, required)
    User unique identifier.

  - `account_id` (string, required)
    Account unique identifier.

  - `instrument_id` (string, required)
    ISIN or other identity (depends on instrument_id_type) of the security to be transferred.

  - `instrument_id_type` (string, required)
    Type of the instrument_id
* ISIN - International Securities Identification Number
    Enum: "ISIN"

  - `quantity` (string, required)
    The quantity of instrument to move in or out. The value supported is maximum 15 digits including decimal place.
Note: For INCOMING the end user ensures that they don't sell their instruments on the counter-broker to enable smooth transfer of their instruments on Upvest platform.

  - `transfer_type` (string, required)
    Type of the securities transfer
* NO_OWNER_CHANGE - No change of ownership.
    Enum: "NO_OWNER_CHANGE"

  - `settlement_reference` (string, required)
    Unique identifier of the securities transfer set by API consumers. Useful for API consumers to build special logic on top of it.
NOTE: For automatic incoming transfers where API users will subscribe to the corresponding webhook, the value is set by Upvest!
TIP: For non-live environment if you prefix the reference with AUTO your transfer gets through all lifecycle states.

  - `counterparty` (any, required)
    Counterparty for securities transfer. The type field determines which counterparty variant is present in the payload.

  - `place_of_settlement` (string)
    Business Identifier Code (also known as SWIFT-BIC, BIC, SWIFT ID or SWIFT code) [ISO 9362](https://en.wikipedia.org/wiki/ISO_9362).

  - `settlement_counterparties` (object)
    Settlement counterparties for the securities transfer.
When settlement_counterparties is provided, settlement_agent is required. Other participants are optional but must respect the following dependency rules:
* settlement_custodian presence requires settlement_party to be present.
* settlement_intermediary_1 presence requires settlement_custodian to be present.
* settlement_intermediary_2 presence requires settlement_intermediary_1 to be present.

 Note: settlement_custodian can be provided without an explicit settlement_party since the default counterparty field at transfer level serves as the settlement party.

  - `settlement_counterparties.settlement_agent` (object, required)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_agent.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_agent.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_agent.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_agent.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_agent.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_agent.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_agent.account.value` (string, required)
    Account identifier value.

  - `settlement_counterparties.settlement_custodian` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_custodian.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_custodian.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_custodian.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_custodian.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_custodian.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_custodian.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_custodian.account.value` (string, required)
    Account identifier value.

  - `settlement_counterparties.settlement_intermediary_1` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_intermediary_1.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_intermediary_1.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_intermediary_1.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_intermediary_1.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_intermediary_1.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_intermediary_1.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_intermediary_1.account.value` (string, required)
    Account identifier value.

  - `settlement_counterparties.settlement_intermediary_2` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_intermediary_2.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_intermediary_2.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_intermediary_2.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_intermediary_2.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_intermediary_2.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_intermediary_2.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_intermediary_2.account.value` (string, required)
    Account identifier value.

  - `settlement_counterparties.settlement_party` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_party.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_party.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_party.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_party.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_party.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_party.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_party.account.value` (string, required)
    Account identifier value.

  - `trade_date` (string)
    Optional forecast date when the trade takes place. If provided, usually T+1 is sufficient. Depending on the market this means valid working days. Date in YYYY-MM-DD format.

  - `settlement_date` (string)
    Optional forecast date when the settlement takes place. If provided, usually T+2 is sufficient or trade_date + 1. Depending on the market this means valid working days. Date in YYYY-MM-DD format.

## Response 200 fields (application/json):

  - `id` (string, required)
    Securities transfer request unique identifier.

  - `created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `user_id` (string, required)
    User unique identifier.

  - `account_id` (string, required)
    Account unique identifier.

  - `direction` (string, required)
    Direction of the securities transfer
* INCOMING - Securities transfer is incoming to the user.
* OUTGOING - Securities transfer is outgoing from the user.
    Enum: "INCOMING", "OUTGOING"

  - `status` (string, required)
    Status of the securities transfer
* NEW - Securities transfer is created but not started processing.
* PROCESSING - Securities transfer is in processing.
* SETTLED - Securities transfer was successfully settled.
* CANCELLED - Securities transfer was cancelled.
    Enum: "NEW", "PROCESSING", "SETTLED", "CANCELLED"

  - `transfer_type` (string, required)
    Type of the securities transfer
* NO_OWNER_CHANGE - No change of ownership.
    Enum: "NO_OWNER_CHANGE"

  - `instrument_id` (string, required)
    ISIN or other identity (depends on instrument_id_type) of the security to be transferred.

  - `instrument_id_type` (string, required)
    Type of the instrument_id
* ISIN - International Securities Identification Number
    Enum: "ISIN"

  - `quantity` (string, required)
    The quantity of instrument to move in or out.

  - `counterparty` (any, required)
    Counterparty for securities transfer. The type field determines which counterparty variant is present in the payload.

  - `settlement_reference` (string, required)
    Unique identifier of the securities transfer set by API consumers. Useful for API consumers to build special logic on top of it.
NOTE: For automatic incoming transfers where API users will subscribe to the corresponding webhook, the value is set by Upvest!

  - `trade_date` (string, required)
    The forecast date when the trade takes place. Date in YYYY-MM-DD format.

  - `settlement_date` (string, required)
    The forecast date when the settlement takes place. Date in YYYY-MM-DD format.

  - `quantity_settled` (string)
    The quantity of instruments settled.

  - `place_of_settlement` (string)
    Business Identifier Code (also known as SWIFT-BIC, BIC, SWIFT ID or SWIFT code) [ISO 9362](https://en.wikipedia.org/wiki/ISO_9362).

  - `settlement_counterparties` (object)
    Settlement counterparties for the securities transfer.
When settlement_counterparties is provided, settlement_agent is required. Other participants are optional but must respect the following dependency rules:
* settlement_custodian presence requires settlement_party to be present.
* settlement_intermediary_1 presence requires settlement_custodian to be present.
* settlement_intermediary_2 presence requires settlement_intermediary_1 to be present.

 Note: settlement_custodian can be provided without an explicit settlement_party since the default counterparty field at transfer level serves as the settlement party.

  - `settlement_counterparties.settlement_agent` (object, required)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_agent.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_agent.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_agent.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_agent.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_agent.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_agent.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_agent.account.value` (string, required)
    Account identifier value.

  - `settlement_counterparties.settlement_custodian` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_custodian.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_custodian.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_custodian.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_custodian.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_custodian.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_custodian.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_custodian.account.value` (string, required)
    Account identifier value.

  - `settlement_counterparties.settlement_intermediary_1` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_intermediary_1.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_intermediary_1.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_intermediary_1.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_intermediary_1.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_intermediary_1.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_intermediary_1.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_intermediary_1.account.value` (string, required)
    Account identifier value.

  - `settlement_counterparties.settlement_intermediary_2` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_intermediary_2.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_intermediary_2.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_intermediary_2.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_intermediary_2.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_intermediary_2.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_intermediary_2.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_intermediary_2.account.value` (string, required)
    Account identifier value.

  - `settlement_counterparties.settlement_party` (object)
    A participant in the settlement chain, identified by an identification and an optional account.

  - `settlement_counterparties.settlement_party.identification` (object, required)
    Identification of a settlement counterparty.
* BIC Party identified by BIC.
* PROPRIETARY Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS Party identified by name and address.

  - `settlement_counterparties.settlement_party.identification.type` (string, required)
    Type of identification.
* BIC - Party identified by BIC.
* PROPRIETARY - Party identified by a proprietary code under a Data Source Scheme.
* NAME_AND_ADDRESS - Party identified by name and address.
    Enum: "BIC", "PROPRIETARY", "NAME_AND_ADDRESS"

  - `settlement_counterparties.settlement_party.identification.value` (string, required)
    Identification value. The format depends on the type:
* For BIC: A valid BIC code.
* For PROPRIETARY: A proprietary identifier under the given scheme.
* For NAME_AND_ADDRESS: Name and address of the party.

  - `settlement_counterparties.settlement_party.identification.scheme` (string)
    ISO Data Source Scheme code. Required when type is PROPRIETARY. Identifies the source of the proprietary identification (e.g. CRST, DAKV, CEDE).

  - `settlement_counterparties.settlement_party.account` (object)
    Account of a settlement counterparty.
* SAFE - Safekeeping account.

  - `settlement_counterparties.settlement_party.account.type` (string, required)
    Type of the account.
* SAFE - Safekeeping account.
    Enum: "SAFE"

  - `settlement_counterparties.settlement_party.account.value` (string, required)
    Account identifier value.

  - `actual_settlement_date` (string)
    The date when the transfer settled, only known in SETTLED status. Date in YYYY-MM-DD format.

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 406 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 503 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 504 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.


